org.apache.catalina.startup

## Class UserConfig

- java.lang.Object
- - org.apache.catalina.startup.UserConfig

- All Implemented Interfaces:
    LifecycleListener

      public final class UserConfig
      extends Object
      implements LifecycleListener

  Startup event listener for a Host that configures Contexts (web applications) for all defined "users" who have a web application in a directory with the specified name in their home directories. The context path of each deployed application will be set to `~xxxxx`, where xxxxx is the username of the owning user for that web application
  Author:
    Craig R. McClanahan

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserConfig()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAllow()` Return the regular expression used to test for user who deployment is allowed.
    `String` | `getConfigClass()` Return the Context configuration class name.
    `String` | `getContextClass()` Return the Context implementation class name.
    `String` | `getDeny()` Return the regular expression used to test for user who deployment is denied.
    `String` | `getDirectoryName()` Return the directory name for user web applications.
    `String` | `getHomeBase()` Return the base directory containing user home directories.
    `String` | `getUserClass()` Return the user database class name for this component.
    `void` | `lifecycleEvent(LifecycleEvent event)` Process the START event for an associated Host.
    `void` | `setAllow(String allow)` Set the regular expression used to test for user who deployment is allowed.
    `void` | `setConfigClass(String configClass)` Set the Context configuration class name.
    `void` | `setContextClass(String contextClass)` Set the Context implementation class name.
    `void` | `setDeny(String deny)` Set the regular expression used to test for user who deployment is denied.
    `void` | `setDirectoryName(String directoryName)` Set the directory name for user web applications.
    `void` | `setHomeBase(String homeBase)` Set the base directory containing user home directories.
    `void` | `setUserClass(String userClass)` Set the user database class name for this component.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserConfig

          public UserConfig()

  - ### Method Detail

    - #### getConfigClass

          public String getConfigClass()

      Return the Context configuration class name.

    - #### setConfigClass

          public void setConfigClass(String configClass)

      Set the Context configuration class name.
      Parameters:
        `configClass` - The new Context configuration class name.

    - #### getContextClass

          public String getContextClass()

      Return the Context implementation class name.

    - #### setContextClass

          public void setContextClass(String contextClass)

      Set the Context implementation class name.
      Parameters:
        `contextClass` - The new Context implementation class name.

    - #### getDirectoryName

          public String getDirectoryName()

      Return the directory name for user web applications.

    - #### setDirectoryName

          public void setDirectoryName(String directoryName)

      Set the directory name for user web applications.
      Parameters:
        `directoryName` - The new directory name

    - #### getHomeBase

          public String getHomeBase()

      Return the base directory containing user home directories.

    - #### setHomeBase

          public void setHomeBase(String homeBase)

      Set the base directory containing user home directories.
      Parameters:
        `homeBase` - The new base directory

    - #### getUserClass

          public String getUserClass()

      Return the user database class name for this component.

    - #### setUserClass

          public void setUserClass(String userClass)

      Set the user database class name for this component.

    - #### getAllow

          public String getAllow()

      Return the regular expression used to test for user who deployment is allowed.

    - #### setAllow

          public void setAllow(String allow)

      Set the regular expression used to test for user who deployment is allowed.
      Parameters:
        `allow` - The new allow expression

    - #### getDeny

          public String getDeny()

      Return the regular expression used to test for user who deployment is denied.

    - #### setDeny

          public void setDeny(String deny)

      Set the regular expression used to test for user who deployment is denied.
      Parameters:
        `deny` - The new deny expression

    - #### lifecycleEvent

          public void lifecycleEvent(LifecycleEvent event)

      Process the START event for an associated Host.
      Specified by:
        `lifecycleEvent` in interface `LifecycleListener`
      Parameters:
        `event` - The lifecycle event that has occurred

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.